/*********************************************************************************************
Theme Name:     Twenty Twenty-One Child
Theme URI:     
Description:    Child theme for Twenty Twenty One
Author:         Perfeo
Author URI:     Perfeo
Template:       twentytwentyone
Version:        0.2.3
**********************************************************************************************/
:root {
	--font-headings : 'PFDINTextCompPro-Regular';
	--font-base : 'PFDINTextCompPro-Regular';
	--global--font-size-base : 16px;
/* 	--global--spacing-vertical : 20px;
 */}
@font-face {
	font-family: 'PFDINTextCompPro-Regular';
	src: url('fonts/PFDINTextCompPro-Regular.woff2') format('woff2'),
		 url('fonts/PFDINTextCompPro-Regular.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'PFDINTextCompPro-Thin';
	src: url('fonts/PFDINTextCompPro-Thin.woff2') format('woff2'),
		 url('fonts/PPFDINTextCompPro-Thin.woff') format('woff');
	font-weight: normal;
	font-style: normal;
}
body{
	font-family: 'PFDinTextCompPro-Reg';
    letter-spacing: 2px;
}
#loginform p {
	display: flex;
	padding: 1rem 0px;
}

#loginform label{
	width: 40%;
}

#loginform input[type=text]{
	width: 50%;
}
.tw-header-bg .site-content{
	padding-top: 0px!important;
}
.nav-lang  .wpml-ls li:first-child a span::after{
	left: 10px;
	position: relative;
	content : "/";
	display: inline-block;
}
.primary-navigation > div > .menu-wrapper{
	text-transform: uppercase;
}
.site-footer{
	max-width: var(--responsive--alignfull-width)!important;
}
.tw-header-bg .site-header{
	padding-bottom: 0px!important;
}
.site-info{
	max-width: var(--responsive--alignwide-width)!important;
	margin-left: auto!important;
	margin-right: auto!important;
	border-top: 0px solid #000!important;
	padding-top: 0px!important;
	margin: 0px auto!important;
}
.entry-content{
	background-color: #FFF;
}
.entry-header, .post-thumbnail, .entry-content{
	margin-top: 0px!important;
	margin-bottom: 0px!important;
}
.site-main{
	padding-top: 0px!important;
	padding-bottom:  0px!important;
}
.tw-blog-grid.tw-blog-card .site-main{
    row-gap: 0em!important;
}
.tw-blog-grid .site-main {
    column-gap: 0em!important;
	row-gap: 0em!important;
	max-width: var(--responsive--alignfull-width)!important;
}
.tw-blog-grid.tw-blog-card .site-main {
    row-gap: 0em!important;
}

/* Liste de  posts*/
.tw-blog-card-border .hentry{
	border: 0px solid grey!important;
}
.tw-blog-card .hentry{
	padding-top: 0px!important;
	padding-bottom: 0px!important;
}
.display-over-image{
  position:absolute!important;
  left:0;
  bottom:0;
  padding-top: 20px!important;
  padding-bottom: 20px!important;
}
.category-list .display-over-image h2{
	text-transform: uppercase;
}
.display-over-image h2{
	color : #000;
	font-size: var(--global--font-size-md);
	text-align: left;
}
.single .site-main > article > .entry-footer{
	border-top: 0px solid #000;
}
.single-post .is-type-video{
	max-width: var(--responsive--aligndefault-width)!important;
	margin-left: auto!important;
	margin-right: auto!important;
}
.single-post .is-type-video.alignfull{
	max-width: 100% !important;
}	

@media only screen and (min-width: 482px) {
	.sub-menu-toggle{
		display: none!important;
	}

	.primary-navigation > div > .menu-wrapper > li > .sub-menu:before,
	.primary-navigation > div > .menu-wrapper > li > .sub-menu:after {
		border-style: none!important;
	}
}
@media (min-width: 652px) {

	.no-widgets .site-footer{
		margin-top: 0px!important;
		padding-bottom: 0px!important;
	}
	.site-branding{
		position: absolute;
	}
	#site-navigation{
		margin-left: 200px;
	}
	.tw-blog-grid .site-main {
		grid-template-columns: repeat(4, minmax(0, 1fr));
	}
	.entry-content figure.alignfull:first-child, 
	.entry-content figure.alignwide:first-child
	{
		  margin-top: 0px;
	  }

	  .single-post .entry-content [class=wp-block-image].alignfull:last-child, 
	  .single-post  .entry-content [class=wp-block-image].alignwide:last-child, 
	  .single-post .entry-content figure.alignfull:last-child, 
	  .single-post .entry-content figure.alignwide:last-child, 
	  .single-post .wp-block-cover.alignwide:last-child, 
	  .single-post .wp-block-media-text.alignfull:last-child, 
	  .single-post .wp-block-media-text.alignwide:last-child {
		margin-bottom: 0px!important;
	}
}

@media (min-width: 1024px) {

	.tw-blog-grid.tw-blog-columns-4 .site-main {
		grid-template-columns: repeat(3, minmax(0, 1fr));
	}
}
@media (min-width: 1280px) {

	.tw-blog-grid.tw-blog-columns-4 .site-main {
		grid-template-columns: repeat(4, minmax(0, 1fr));
	}
}


@media only screen and (min-width: 1024px) {

	.tw-has-sidebar.tw-blog-columns-4 .site-main {
		grid-template-columns: repeat(2, minmax(0, 1fr));
		grid-template-columns: repeat(4, minmax(0, 1fr));
	}


}

@media only screen and (min-width: 1280px) {

	.tw-has-sidebar.tw-blog-columns-4 .site-main {
		grid-template-columns: repeat(4, minmax(0, 1fr));
	}
}